# $Revision: 1.55 $, $Date: 2012/01/23 10:24:42 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		ecore_ver	1.1.0
%define		eet_ver 	1.5.0
%define		eina_ver	1.1.0
%define		embryo_ver	1.1.0
%define		evas_ver	1.1.0
Summary:	Complex Graphical Design/Layout Engine
Summary(pl.UTF-8):	Złożony silnik graficznego projektowania/planowania
Name:		edje
Version:	1.1.0
Release:	3
License:	BSD
Group:		X11/Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	c51cbc0c0d8f93ceadfb2173c2f9135c
Patch0:		automake.patch
URL:		http://trac.enlightenment.org/e/wiki/Edje
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	ecore-devel >= %{ecore_ver}
BuildRequires:	ecore-evas-devel >= %{ecore_ver}
BuildRequires:	ecore-file-devel >= %{ecore_ver}
BuildRequires:	ecore-imf-devel >= %{ecore_ver}
BuildRequires:	ecore-imf-evas-devel >= %{ecore_ver}
BuildRequires:	eina-devel >= %{eina_ver}
BuildRequires:	eet-devel >= %{eet_ver}
BuildRequires:	embryo-devel >= %{embryo_ver}
BuildRequires:	evas-devel >= %{evas_ver}
BuildRequires:	libtool
BuildRequires:	lua51 >= 5.1.0
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	python >= 1:2.5
Requires:	%{name}-libs = %{version}-%{release}
Requires:	eina >= %{eina_ver}
Requires:	evas-engine-buffer >= %{evas_ver}
Requires:	evas-loader-png >= %{evas_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx
%define		specflags_x86_64	-mfpmath=387
%define		specflags_amd64		-mfpmath=387

%description
Edje is a complex graphical design and layout engine. It provides a
mechanism for allowing configuration data to define visual elements in
terms of layout, behavior, and appearance. Edje allows for multiple
collections of layouts in one file, allowing a complete set of images,
animations, and controls to exist as a unified whole.

Edje separates the arrangement, appearance, and behavior logic into
distinct independent entities. This allows visual objects to share
image data and configuration information without requiring them to do
so. This separation and simplistic event driven style of programming
can produce almost any look and feel one could want for basic visual
elements. Anything more complex is likely the domain of an application
or widget set that may use Edje as a convenient way of being able to
configure parts of the display.

%description -l pl.UTF-8
Edje to złożony silnik graficznego projektowania i planowania.
Dostarcza mechanizm pozwalający na definiowanie elementów graficznych
za pomocą danych konfiguracyjnych poprzez rozmieszczenie, zachowanie i
wygląd. Edje pozwala na wiele kolekcji projektów w jednym pliku,
zezwalając na istnienie pełnego zbioru obrazów, animacji i kontrolek
jako całości.

Edje oddziela rozmieszczenie, wygląd i logikę zachowania na różne,
niezależne elementy. Pozwala to na współdzielenie danych obrazów i
informacji o konfiguracji elementów graficznych bez wymagania tego.
Rozdzielenie to i uproszczony model programowania sterowanego
zdarzeniami może stworzyć prawie dowolny wygląd i zachowanie
podstawowych elementów graficznych. Wszystko bardziej złożone jest
raczej domeną aplikacji lub zbioru widgetów, które mogą używać Edje
jako wygodnego sposobu konfigurowania części ekranu.

%package libs
Summary:	Edje library
Summary(pl.UTF-8):	Biblioteka edje
Group:		X11/Libraries
Requires:	ecore >= %{ecore_ver}
Requires:	ecore-file >= %{ecore_ver}
Requires:	ecore-imf >= %{ecore_ver}
Requires:	ecore-imf-evas >= %{ecore_ver}
Requires:	eina >= %{eina_ver}
Requires:	eet >= %{eet_ver}
Requires:	embryo >= %{embryo_ver}
Requires:	evas >= %{evas_ver}

%description libs
Edje library.

%description libs -l pl.UTF-8
Biblioteka edje.

%package devel
Summary:	Edje header files
Summary(pl.UTF-8):	Pliki nagłówkowe Edje
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	ecore-devel >= %{ecore_ver}
Requires:	ecore-file-devel >= %{ecore_ver}
Requires:	ecore-imf-devel >= %{ecore_ver}
Requires:	ecore-imf-evas-devel >= %{ecore_ver}
Requires:	eet-devel >= %{eet_ver}
Requires:	embryo-devel >= %{embryo_ver}
Requires:	evas-devel >= %{evas_ver}

%description devel
Header files for Edje.

%description devel -l pl.UTF-8
Pliki nagłówkowe Edje.

%package static
Summary:	Static Edje library
Summary(pl.UTF-8):	Statyczna biblioteka Edje
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Edje library.

%description static -l pl.UTF-8
Statyczna biblioteka Edje.

%package -n vim-syntax-edc
Summary:	EDC syntax support for Vim
Summary(pl.UTF-8):	Obsługa składni EDC dla Vima
Group:		Applications/Editors/Vim
Requires:	vim-rt

%description -n vim-syntax-edc
EDC syntax support for Vim.

%description -n vim-syntax-edc -l pl.UTF-8
Obsługa składni EDC dla Vima.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--enable-edje-cc \
	--with-vim=/usr/share/vim/vimfiles
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/edje/modules
install -D data/edc.vim $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax/edc.vim

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/edje_cc
%attr(755,root,root) %{_bindir}/edje_decc
%attr(755,root,root) %{_bindir}/edje_external_inspector
%attr(755,root,root) %{_bindir}/edje_inspector
%attr(755,root,root) %{_bindir}/edje_player
%attr(755,root,root) %{_bindir}/edje_recc
%attr(755,root,root) %{_bindir}/inkscape2edc
%dir %{_libdir}/%{name}/utils
%attr(755,root,root) %dir %{_libdir}/%{name}/utils/epp
%{_datadir}/%{name}
%{_datadir}/mime/packages/edje.xml

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libedje.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libedje.so.1
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libedje.so
%{_libdir}/libedje.la
%{_includedir}/edje-1
%{_pkgconfigdir}/edje.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libedje.a
%endif

%files -n vim-syntax-edc
%defattr(644,root,root,755)
%{_datadir}/vim/vimfiles/syntax/edc.vim

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: edje.spec,v $
Revision 1.55  2012/01/23 10:24:42  zbyniu
- R: eina, not eina-devel in -libs; rel 3

Revision 1.54  2012/01/19 16:12:01  zbyniu
- fix for new automake; rel 2

Revision 1.53  2011/12/13 16:41:02  qboosh
- added modules dir to -libs

Revision 1.52  2011/12/11 17:27:11  qboosh
- updated to 1.1.0
- no longer depends on system cpp, has its own epp

Revision 1.51  2011/06/01 19:06:40  qboosh
- updated to 1.0.1

Revision 1.50  2011/02/02 16:51:41  qboosh
- updated URL

Revision 1.49  2011/02/01 18:42:27  qboosh
- package ChangeLog

Revision 1.48  2011/02/01 07:59:46  lisu
- drop edje_convert binary
- adapter
- rel 3

Revision 1.47  2011/01/31 18:05:15  lisu
- rel 2

Revision 1.46  2011/01/31 13:39:55  lisu
- 1.0.0 is now stable

Revision 1.45  2010/12/05 11:13:19  qboosh
- updated to 1.0.0.beta3
- License is BSD

Revision 1.44  2010/11/16 17:55:54  witekfl
- 1.0.0.beta2

Revision 1.43  2010/08/06 13:43:33  witekfl
- LATEST snapshot

Revision 1.42  2010/08/04 20:57:51  witekfl
- up to the snapshot 0.9.99.49898

Revision 1.41  2008/10/10 17:11:45  qboosh
- simplified setup

Revision 1.40  2008/10/09 18:00:26  pablo
- updated
- using "official" snapshots

Revision 1.39  2008/08/25 16:45:45  pablo
- updated to 20080813 snap

Revision 1.38  2008/06/03 21:18:03  qboosh
- ghost soname symlink
- updated ac/am BRs

Revision 1.37  2008-06-01 14:10:31  cactus
- up to 0.9.9.043

Revision 1.36  2008-05-31 20:44:13  cactus
- more flexible to update

Revision 1.35  2007-09-09 11:48:38  qboosh
- updated URL

Revision 1.34  2007/09/09 11:43:08  qboosh
- updated to 0.5.0.038
- added vim-syntax-edc package

Revision 1.33  2007/04/02 12:11:40  baggins
- rel 3

Revision 1.32  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.30  2006/12/23 18:08:10  arekm
- rel 2

Revision 1.29  2006/12/01 02:24:15  sparky
- up to 0.5.0.036; removed test app
- regenerate auto* to force correct libtool

Revision 1.28  2006/09/10 19:10:23  sparky
- up to 0.5.0.032

Revision 1.27  2006/07/20 14:39:25  sparky
- R: evas-engine-buffer, and very commonly used png loader

Revision 1.26  2006/07/20 14:04:08  sparky
- up to 0.5.0.031

Revision 1.25  2006/07/10 16:02:17  sparky
- up to 0.5.0.030

Revision 1.24  2006/07/06 14:33:08  sparky
- from rephorns blog:
  "In other E news, raster let me know of a workaround for the jitteriness
  we've all been seeing in edje animation on amd64 processors. Just recompile
  edje with -mfpmath=387 in your CFLAGS. There is some sort of rounding issue
  with the default (sse) floating point math that is used on amd64's."

Revision 1.23  2006/07/06 02:10:32  sparky
- up to 0.5.0.029

Revision 1.22  2006/06/27 00:25:25  sparky
- up to 0.5.0.028

Revision 1.21  2006/06/19 17:21:25  sparky
- up to 0.5.0.027

Revision 1.20  2006/03/31 14:56:31  sparky
- up to 0.5.0.026

Revision 1.19  2006/03/17 20:07:53  sparky
- up to 0.5.0.025

Revision 1.18  2006/03/12 17:15:51  sparky
- up to 0.5.0.024
- cleanups

Revision 1.17  2006/01/14 17:52:54  sparky
- up to 0.5.0.023

Revision 1.16  2005/12/03 15:59:06  sparky
- up to 0.5.0.022
- no auto* regeneration required

Revision 1.15  2005/11/30 13:52:30  charles
- changelog typo

Revision 1.14  2005/11/30 13:51:18  charles
- updated to 0.5.0.020
- bcond static_libs

Revision 1.13  2005/11/20 17:21:49  sparky
- up to 0.5.0.019

Revision 1.12  2005/10/29 20:20:40  sparky
- R: cpp

Revision 1.11  2005/10/29 18:44:00  sparky
- external vera, separated libs
- Warning: some packages will nead booth edje abd edje-devel to build

Revision 1.10  2005/10/11 22:19:53  charles
- updated to 0.5.0.018
- added -missing_m4.patch

Revision 1.9  2005/08/25 11:50:22  charles
- proper URL

Revision 1.8  2005/08/24 18:30:10  charles
- updated to 0.5.0.013
- new Source0 ("official" snapshots)
- BR/R imlib2-devel up to >= 1.2.1

Revision 1.7  2005/07/10 07:17:59  sparky
- Source0: ftp -> http

Revision 1.6  2005/07/09 13:49:22  sparky
- added COPYING-PLAIN (human readable license) and INSTALL to %doc

Revision 1.5  2005/07/09 13:43:19  sparky
- new snap
- status: builds, works stable

Revision 1.4  2005/03/30 22:52:25  sparky
- updated to 20050329 snap

Revision 1.3  2005/01/08 00:18:13  qboosh
- there is one static library

Revision 1.2  2005/01/08 00:15:11  qboosh
- pl, unifications, removed lies from -devel desc

Revision 1.1  2005/01/07 19:38:22  sparky
- NEW EFL (E Fundation Libraries)
- builds well but still so much to do...
- anyone knows polish ?
